GIT-MERGE-REPO(1)

NAME
git-merge-repo - Merge two repo histories

SYNOPSIS
git-merge-repo <repo> <branch> <directory> [--squash]

DESCRIPTION
Merges a repository's history with the current repository, inside a specified directory.

Optional --squash flag skips the full history and generates only one commit for the merge.

EXAMPLES
Merges a local repo's frontend branch into the current repo's web folder:

    $ git merge-repo ../app/.git frontend web

Merges a remote repo's master branch into the current repo's folder:

    $ git merge-repo git@github.com:tj/git-extras.git master .

AUTHOR
Written by Ivan Malopinsky <hello@imsky.co>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>